%add_findreq_skiplist %_libdir/vmware/bin/vmware
%add_findreq_skiplist %_libdir/vmware/bin/vmrun
%add_findreq_skiplist %_libdir/vmware/lib/*/*
%add_findreq_skiplist %_libdir/vmware/libconf/lib/*/*/*
%set_verify_elf_method textrel=relaxed

%define vernum 5.0.0
%define buildnum 13124
%define modname kernel-source-%name-%vernum

Name: vmware
Version: %vernum
Release: alt0.4

Summary: VMware Workstation
License: Commercial
Group: Emulators
Url: http://www.vmware.com/download/download.do?downloadGroup=WKST-5-LX

Source0: VMware-workstation-%vernum-%buildnum.tar.gz
Source1: %name.xml
Source2: %name.init
Source3: %name.readme
Patch0: %name-5.0.0-config.patch
NoSource: 0
BuildArch: i586

BuildPreReq: kernel-build-tools menu-devel
BuildPreReq: desktop-file-utils shared-mime-info >= 0.15-alt2
Requires(post,postun): desktop-file-utils shared-mime-info >= 0.15-alt2

%description
VMware Workstation Virtual Platform is a thin software layer that allows
multiple guest operating systems to run concurrently on a single
standard PC, without repartitioning or rebooting, and without
significant loss of performance.

%package -n %modname
Summary: Sources for VMware modules
Group: Development/Kernel

%description -n %modname
Sources for VMware modules (vmmon and vmnet). Only for VMware 5.0.

%prep
%setup -q -n vmware-distrib
%patch0 -p1

%install
install -d \
        %buildroot%_bindir \
        %buildroot%_sysconfdir/vmware \
        %buildroot%_mandir \
        %buildroot%_menudir \
        %buildroot%_libdir/vmware \
        %buildroot%_var/run/%name \
        %buildroot%_datadir/{vmware,icons/hicolor,applications}

%__install -p bin/* %buildroot%_bindir/
%__install -p etc/* %buildroot%_sysconfdir/%name/
%__cp -R man/* %buildroot%_mandir/
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/mime/packages/%name.xml
%__install -pD -m755 %SOURCE2 %buildroot%_initdir/%name
%__install -p  -m644 %SOURCE3 doc/README.ALT

%__cp -R lib/{bin*,config*,floppies,help*,isoimages,lib,libconf,licenses,messages,xkeymap}/ \
	%buildroot%_libdir/%name/
%__cp -R lib/share/icons %buildroot%_datadir/icons/hicolor/
touch %buildroot%_sysconfdir/vmware/config
%__rm -f %buildroot%_sysconfdir/vmware/installer.sh
gunzip %buildroot%_mandir/man?/*.gz

cat << EOF > %buildroot%_sysconfdir/vmware/locations
file %_sysconfdir/vmware/locations
answer BINDIR %_bindir
answer LIBDIR %_libdir/vmware
answer DOCDIR %_docdir/%name-%version
answer MANDIR %_mandir
answer INITDIR %_sysconfdir/rc.d
answer INITSCRIPTSDIR %_initdir
EOF

cat << EOF > %buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Name=VMware Workstation
Comment=Run virtual machines
Exec=vmware
Terminal=false
Type=Application
Icon=vmware-workstation.png
StartupNotify=true
Categories=Application;System;
X-Desktop-File-Install-Version=0.9
MimeType=application/x-vmware-vm;application/x-vmware-team;
EOF

freedesktop2menu.pl %name "Applications/Emulators" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# modules
cd lib/modules/source
%__tar xf vmmon.tar
%__tar xf vmnet.tar
%__mkdir_p %buildroot%kernel_src/%modname
%__cp -R vmmon-only/ vmnet-only/ %buildroot%kernel_src/%modname
cd %buildroot%kernel_src
%__tar -c %modname | %__bzip2 -c > \
    %buildroot%kernel_src/%modname.tar.bz2
%__rm -rf %buildroot%kernel_src/%modname

%post
%update_mimedb
%update_desktopdb
%post_service %name
echo "**********************************************"
echo "You MUST install kernel-modules-%name-%version"
echo "before running vmware-config.pl."
echo "See README.ALT for more information."
echo "**********************************************"

%preun
%preun_service %name

%postun
%clean_mimedb
%clean_desktopdb

%files
%doc doc/*
%_bindir/*
%_mandir/man1/*
%_menudir/%name
%_datadir/applications/*.desktop
%_datadir/icons/*/*/*/*/*.png
%_sysconfdir/%name
%_datadir/mime/packages/vmware.xml
%_initdir/%name
%_var/run/%name

%_libdir/%name
%attr (4755,root,root) %_libdir/vmware/bin/vmware-vmx
%docdir %_libdir/%name/help

%files -n %modname
%kernel_src/%modname.tar.bz2
